Bug 6553 - (int-149930) Calculator should remember mode setting
(int-149930)
: Calculator should remember mode setting
Status: CLOSED FIXED
Product: Utilities
Calculator
: 5.0/(2.2009.51-1)
: N900 Maemo
: Low normal with 1 vote (vote)
: 5.0/(10.2010.19-1)
Assigned To: unassigned
: calculator-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-12-03 17:59 UTC by hqh
Modified: 2010-05-25 18:36 UTC (History)
4 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description hqh (reporter) 2009-12-03 17:59:02 UTC
SOFTWARE VERSION:
(Settings > General > About product)
1.2009.42-11

EXACT STEPS LEADING TO PROBLEM: 
(Explain in detail what you do (e.g. tap on OK) and what you see (e.g. message
Connection Failed appears))
1. Open calculator application
2. Open the window menu and change calculator mode from basic to scientific
3. Close the calculator application
4. Open calculator application again

EXPECTED OUTCOME:
The calculator opens in scientific mode

ACTUAL OUTCOME:
The calculator opens in basic mode

REPRODUCIBILITY:
Always

EXTRA SOFTWARE INSTALLED:
Irrelevant
Comment 1 Venomrush 2009-12-05 16:52:37 UTC
Confirm for me.
Comment 2 Quim Gil nokia 2009-12-07 10:28:01 UTC
Interesting and worth filing as a usability bug.
Comment 3 Quim Gil nokia 2010-01-11 12:40:29 UTC
A fix exists and is being tested. Planned to be released in a future
maintenance release.
Comment 4 Andre Klapper maemo.org 2010-01-12 18:59:55 UTC
This has been fixed in package
osso-calculator 1.8.01-1+0m5
which is part of the internal build version
2010.02-2
(Note: 2010 is the year, and the number after is the week.)

A future public update released with the year/week later than this internal
build version will include the fix. (This is not always already the next public
update.)
Please verify that this new version fixes the bug by marking this bug report as
VERIFIED after the public update has been released and if you have some time.


To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/
Comment 5 Urho Konttori 2010-03-12 14:41:43 UTC
Fixed in pr1.2. Verified it on latest build. Wait for pr1.2 to come out and
then verify.
Comment 6 Andre Klapper maemo.org 2010-03-15 20:57:05 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).
Comment 7 Venomrush 2010-05-25 18:36:39 UTC
Confirm fixed in PR1.2